/*Clase Contratar: Aqui se implementa la funcion de contratacion de la empresa, se crea la interfaz grafica */
//
// Nombre: Felipe Chaparro Vejar
//Rol    :9821015-6
/************************************************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

import javax.swing.*;
import javax.swing.text.*;
import javax.swing.border.*;
import javax.swing.event.*;

import java.awt.Dimension;
import java.awt.BorderLayout;
import java.text.*;


public class Contratar extends JFrame {

  JPanel P1,P2,P3,P4,P5,P6,P7,P8,P9,P10,P11;
  
  JLabel LApellidoP,LApellidoM,LNombres,LRut,LFechaN;
  JLabel LCargo,LProfesion;
  JLabel LCiudad,LDireccion,LTelefono,LEmail;
  JLabel LIsapre,LAFP; 
  JLabel LFechaI,LFechaT,dd,mm,aa;
  JLabel LSueldoB;
  JLabel LNCalzado,LTalla;
  JLabel LOMedica,LEMedico;
  
  JTextField TApellidoP,TApellidoM,TNombres,TRut,TFechaN;
  JTextField TCargo,TProfesion;
  JTextField TCiudad,TDireccion,TTelefono,TEmail;
  JTextField TFicha; 
  JTextField TFechaId,TFechaIm,TFechaIa;
  JTextField TFechaTd,TFechaTm,TFechaTa;
  JTextField TSueldoB;
  JTextField TNCalzado,TTalla;
  JTextField TPIsapre;
  
  JButton BContratar,Cancelar; 
  JComboBox CIsapre,CAFP; 
  
 Properties Eventos = new Properties();
 FileOutputStream out;
 FileInputStream in;
 String[] datos;
 String[] fecha_i;
 String[] fecha_t;  

 private PrintStream outFile1;
 private PrintWriter outFile2;
 private PrintWriter outFile3;

 private BufferedReader inFile1;
 private BufferedReader inFile2;
 private BufferedReader inFile3;

 public Contratar(){
  
  super("Contrato de  Empleados");
  
  getRootPane().putClientProperty("defeatSystemEventQueueCheck",
                                       Boolean.TRUE);

  Dimension screenSize =  Toolkit.getDefaultToolkit().getScreenSize();
  int a=(int)2*screenSize.width/3;
  int b=(int)4*screenSize.height/5;
  setSize(a,b);
  setLocation((screenSize.width-a)/2,(screenSize.height-b)/2);
  setResizable(false);
   
  try{
        in = new FileInputStream ("Contratados.dat");
         Eventos.load(in);
        } catch (FileNotFoundException e) {
         //  System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        } catch (IOException e) {
         //   System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        }
	
  addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {  }
        });
  getContentPane().setLayout(null);
  getContentPane().setBackground(Color.gray);
  
  datos   = new String[18];
  fecha_i = new String[3];
  fecha_t = new String[3];

/* Creacion de la vantana*////////////////////////

  JPanel P1 = new JPanel(new BorderLayout());
  P1.setLayout(new BoxLayout(P1, BoxLayout.Y_AXIS));
  P1.setBounds(0,0,a/3,b/4);  
  P1.setBackground(new Color(51,204,204));
   
  JLabel LApellidoP = new JLabel("Apellido Paterno  ");
  LApellidoP.setFont(new  Font("Arial", 0, 17));
  LApellidoP.setForeground(Color.black);
  P1.add(LApellidoP);
  
  JLabel LApellidoM = new JLabel("Apellido Materno ");
  LApellidoM.setFont(new  Font("Arial", 0, 17));
  LApellidoM.setForeground(Color.black);
  P1.add(LApellidoM);
 
  JLabel LNombres = new JLabel("Nombres            ");
  LNombres.setFont(new  Font("Arial", 0, 17));
  LNombres.setForeground(Color.black);
  P1.add(LNombres);
 
  JLabel LRut = new JLabel("Rut          ");
  LRut.setFont(new  Font("Arial", 0, 17));
  LRut.setForeground(Color.black);
  P1.add(LRut);

  JLabel LFechaN = new JLabel("Fecha Nacimiento");
  LFechaN.setFont(new  Font("Arial", 0, 17));
  LFechaN.setForeground(Color.black);
  P1.add(LFechaN);
 
  JLabel LProfesion = new JLabel("Profesion    ");
  LProfesion.setFont(new  Font("Arial", 0, 17));
  LProfesion.setForeground(Color.black);
  P1.add(LProfesion);
 
  P1.setBorder(new EmptyBorder(0,10,0,10));
  
  JPanel P2 = new JPanel(new BorderLayout());
  P2.setLayout(new BoxLayout(P2, BoxLayout.Y_AXIS));
  P2.setBounds(a/3,0,a,b/4);  
  P2.setBackground(new Color(51,204,204));
  
  TApellidoP = new JTextField(15);
  TApellidoP.setFont(new  Font("Arial", 0, 14));
  TApellidoP.setForeground(Color.black);
  P2.add(TApellidoP);
  TApellidoP.getDocument().addDocumentListener(new MyDocumentListener()); 
  TApellidoP.getDocument().putProperty("name","TApellidoP"); 

  TApellidoM = new JTextField(15);
  TApellidoM.setFont(new  Font("Arial", 0, 14));
  TApellidoM.setForeground(Color.black);
  P2.add(TApellidoM);
  TApellidoM.getDocument().addDocumentListener(new MyDocumentListener()); 
  TApellidoM.getDocument().putProperty("name","TApellidoM"); 

  TNombres = new JTextField(15);
  TNombres.setFont(new  Font("Arial", 0, 14));
  TNombres.setForeground(Color.black);
  P2.add(TNombres);
  TNombres.getDocument().addDocumentListener(new MyDocumentListener()); 
  TNombres.getDocument().putProperty("name","TNombres"); 

  TRut = new JTextField(15);
  TRut.setFont(new  Font("Arial", 0, 14));
  TRut.setForeground(Color.black);
  P2.add(TRut);
  TRut.getDocument().addDocumentListener(new MyDocumentListener()); 
  TRut.getDocument().putProperty("name","TRut"); 

  TFechaN = new JTextField(15);
  TFechaN.setFont(new  Font("Arial", 0, 14));
  TFechaN.setForeground(Color.black);
  P2.add(TFechaN);
  TFechaN.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaN.getDocument().putProperty("name","TFechaN"); 
 
  TProfesion = new JTextField(15);
  TProfesion.setFont(new  Font("Arial", 0, 14));
  TProfesion.setForeground(Color.black);
  P2.add(TProfesion);
  TProfesion.getDocument().addDocumentListener(new MyDocumentListener()); 
  P2.setBorder(new EmptyBorder(0,10,0,10));
  TProfesion.getDocument().putProperty("name","TProfesion"); 

  JPanel P3 = new JPanel(new BorderLayout());
  P3.setLayout(new BoxLayout(P3, BoxLayout.X_AXIS));
  P3.setBorder(new EmptyBorder(10,0,10,10));
  P3.setBorder(BorderFactory.createTitledBorder("Datos Personales"));
  P3.setBounds(0,0,a,b/4);  
  P3.setBackground(new Color(51,204,204));
  
  P3.add(P1);
  P3.add(P2);
  getContentPane().add(P3);

  JPanel P4 = new JPanel(new BorderLayout());
  P4.setLayout(new BoxLayout(P4, BoxLayout.Y_AXIS));
  P4.setBounds(0,b/4,a/3,120);  
  P4.setBackground(new Color(51,204,204));
   
  JLabel LDireccion = new JLabel("Direccion  ");
  LDireccion.setFont(new  Font("Arial", 0, 17));
  LDireccion.setForeground(Color.black);
  P4.add(LDireccion);
  
  JLabel LCiudad = new JLabel("Ciudad ");
  LCiudad.setFont(new  Font("Arial", 0, 17));
  LCiudad.setForeground(Color.black);
  P4.add(LCiudad);
 
  JLabel LTelefono = new JLabel("Telefono");
  LTelefono.setFont(new  Font("Arial", 0, 17));
  LTelefono.setForeground(Color.black);
  P4.add(LTelefono);
  
  JLabel LEmail = new JLabel("Email  ");
  LEmail.setFont(new  Font("Arial", 0, 17));
  LEmail.setForeground(Color.black);
  P4.add(LEmail);

  P4.setBorder(new EmptyBorder(0,10,0,0));
 // getContentPane().add(P1);
  
  JPanel P5 = new JPanel(new BorderLayout());
  P5.setLayout(new BoxLayout(P5, BoxLayout.Y_AXIS));
  P5.setBounds(a/3,b/4,2*a/3,120);  
  P5.setBackground(new Color(51,204,204));
   
  TDireccion = new JTextField(15);
  TDireccion.setFont(new  Font("Arial", 0, 14));
  TDireccion.setForeground(Color.black);
  P5.add(TDireccion);
  TDireccion.getDocument().addDocumentListener(new MyDocumentListener()); 
  TDireccion.getDocument().putProperty("name","TDireccion"); 

  TCiudad = new JTextField(15);
  TCiudad.setFont(new  Font("Arial", 0, 14));
  TCiudad.setForeground(Color.black);
  P5.add(TCiudad);
  TCiudad.getDocument().addDocumentListener(new MyDocumentListener()); 
  TCiudad.getDocument().putProperty("name","TCiudad"); 

  TTelefono = new JTextField(15);
  TTelefono.setFont(new  Font("Arial", 0, 14));
  TTelefono.setForeground(Color.black);
  P5.add(TTelefono);
  TTelefono.getDocument().addDocumentListener(new MyDocumentListener()); 
  TTelefono.getDocument().putProperty("name","TTelefono"); 

  TEmail = new JTextField(15);
  TEmail.setFont(new  Font("Arial", 0, 14));
  TEmail.setForeground(Color.black);
  P5.add(TEmail);
  TEmail.getDocument().addDocumentListener(new MyDocumentListener()); 
  TEmail.getDocument().putProperty("name","TEmail"); 

  P5.setBorder(new EmptyBorder(0,70,0,10));

  JPanel P6 = new JPanel(new BorderLayout());
  P6.setLayout(new BoxLayout(P6, BoxLayout.X_AXIS));
  P6.setBorder(new EmptyBorder(10,0,10,10));
  P6.setBorder(BorderFactory.createTitledBorder("Domicilio"));
  P6.setBounds(0,b/4,a,120);  
  P6.setBackground(new Color(51,204,204));
  
  P6.add(P4);
  P6.add(P5);
  getContentPane().add(P6);
  
  JPanel P7 = new JPanel(new BorderLayout());
  P7.setLayout(new BoxLayout(P7, BoxLayout.Y_AXIS));
 // P7.setBounds(0,b/4,a/3,b/2);  
  P7.setBackground(new Color(51,204,204));
   
  JLabel LFechaI = new JLabel("Fecha de Inicio");
  LFechaI.setFont(new  Font("Arial", 0, 17));
  LFechaI.setForeground(Color.black);
  P7.add(LFechaI);
  
  JLabel LFechaT = new JLabel("Fecha de Termino ");
  LFechaT.setFont(new  Font("Arial", 0, 17));
  LFechaT.setForeground(Color.black);
  P7.add(LFechaT);
  
  JLabel LCargo = new JLabel("Cargo");
  LCargo.setFont(new  Font("Arial", 0, 17));
  LCargo.setForeground(Color.black);
  P7.add(LCargo);

  JLabel LSueldoB = new JLabel("Sueldo Base");
  LSueldoB.setFont(new  Font("Arial", 0, 17));
  LSueldoB.setForeground(Color.black);
  P7.add(LSueldoB);
  
  JLabel LNCalzado = new JLabel("Numero de Calzado");
  LNCalzado.setFont(new  Font("Arial", 0, 17));
  LNCalzado.setForeground(Color.black);
  P7.add(LNCalzado);

  JLabel LTalla = new JLabel("Talla");
  LTalla.setFont(new  Font("Arial", 0, 17));
  LTalla.setForeground(Color.black);
  P7.add(LTalla);
 
  JLabel LFicha = new JLabel("Numero de Ficha");
  LFicha.setFont(new  Font("Arial", 0, 17));
  LFicha.setForeground(Color.black);
  P7.add(LFicha);

  P7.setBorder(new EmptyBorder(0,10,0,0));
  
  JPanel P8 = new JPanel();
  P8.setLayout(new BoxLayout(P8, BoxLayout.Y_AXIS));
  P8.setBackground(new Color(51,204,204));
  
        
 // P8.add(dd);
 
  TFechaId = new JTextField(2);
  TFechaId.setFont(new  Font("Arial", 0, 14));
  TFechaId.setForeground(Color.black);
  TFechaId.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaId.getDocument().putProperty("name","TFechaId"); 

  TFechaIm = new JTextField(2);
  TFechaIm.setFont(new  Font("Arial", 0, 14));
  TFechaIm.setForeground(Color.black);
  TFechaIm.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaIm.getDocument().putProperty("name","TFechaIm"); 

//  P8.add(aa);
 
  TFechaIa = new JTextField(2);
  TFechaIa.setFont(new  Font("Arial", 0, 14));
  TFechaIa.setForeground(Color.black);
  TFechaIa.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaIa.getDocument().putProperty("name","TFechaIa"); 

//  P8.add(TFechaIa);
 
  TFechaTd = new JTextField(2);
  TFechaTd.setFont(new  Font("Arial", 0, 14));
  TFechaTd.setForeground(Color.black);
  TFechaTd.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaTd.getDocument().putProperty("name","TFechaTd"); 

// P8.add(TFechaTd);

  TFechaTm = new JTextField(2);
  TFechaTm.setFont(new  Font("Arial", 0, 14));
  TFechaTm.setForeground(Color.black);
  TFechaTm.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaTm.getDocument().putProperty("name","TFechaTm"); 

//  P8.add(TFechaTd);
  
  TFechaTa = new JTextField(2);
  TFechaTa.setFont(new  Font("Arial", 0, 14));
  TFechaTa.setForeground(Color.black);
  TFechaTa.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFechaTa.getDocument().putProperty("name","TFechaTa"); 

//  P8.add(TFechaTd);
 
  JPanel Pfecha= new JPanel(new GridLayout(0,6));
  Pfecha.setBackground(new Color(51,204,204));

  JLabel ddI=new JLabel("          [dd]");
  JLabel mmI=new JLabel("          [mm]");
  JLabel aaI=new JLabel("          [aa]");
  JLabel ddT=new JLabel("          [dd]");
  JLabel mmT=new JLabel("          [mm]");
  JLabel aaT=new JLabel("          [aa]");

  ddI.setAlignmentX(CENTER_ALIGNMENT);
  mmI.setAlignmentX(CENTER_ALIGNMENT);
  aaI.setAlignmentX(CENTER_ALIGNMENT);
  ddT.setAlignmentX(CENTER_ALIGNMENT);
  mmT.setAlignmentX(CENTER_ALIGNMENT);
  aaT.setAlignmentX(CENTER_ALIGNMENT);

  Pfecha.add(ddI);
  Pfecha.add(TFechaId);
  Pfecha.add(mmI);
  Pfecha.add(TFechaIm);
  Pfecha.add(aaI);
  Pfecha.add(TFechaIa);
  Pfecha.add(ddT);
  Pfecha.add(TFechaTd);
  Pfecha.add(mmT);
  Pfecha.add(TFechaTm);
  Pfecha.add(aaT);
  Pfecha.add(TFechaTa);

  P8.add(Pfecha);

  TCargo = new JTextField(15);
  TCargo.setFont(new  Font("Arial", 0, 14));
  TCargo.setForeground(Color.black);
  P8.add(TCargo);
  TCargo.getDocument().addDocumentListener(new MyDocumentListener()); 
  TCargo.getDocument().putProperty("name","TCargo"); 

  TSueldoB = new JTextField(15);
  TSueldoB.setFont(new  Font("Arial", 0, 14));
  TSueldoB.setForeground(Color.black);
  P8.add(TSueldoB);
  TSueldoB.getDocument().addDocumentListener(new MyDocumentListener()); 
  TSueldoB.getDocument().putProperty("name","TSueldoB"); 

  TNCalzado = new JTextField(15);
  TNCalzado.setFont(new  Font("Arial", 0, 14));
  TNCalzado.setForeground(Color.black);
  P8.add(TNCalzado);
  TNCalzado.getDocument().addDocumentListener(new MyDocumentListener()); 
  TNCalzado.getDocument().putProperty("name","TNCalzado"); 

  TTalla = new JTextField(15);
  TTalla.setFont(new  Font("Arial", 0, 14));
  TTalla.setForeground(Color.black);
  P8.add(TTalla);
  TTalla.getDocument().addDocumentListener(new MyDocumentListener()); 
  TTalla.getDocument().putProperty("name","TTalla"); 

  TFicha = new JTextField(15);
  TFicha.setFont(new  Font("Arial", 0, 14));
  TFicha.setForeground(Color.black);
  P8.add(TFicha);
  TFicha.getDocument().addDocumentListener(new MyDocumentListener()); 
  TFicha.getDocument().putProperty("name","TFicha"); 


  P8.setBorder(new EmptyBorder(0,10,0,10));

  JPanel P9 = new JPanel(new BorderLayout());
  P9.setLayout(new BoxLayout(P9, BoxLayout.X_AXIS));
  P9.setBorder(new EmptyBorder(10,0,10,10));
  P9.setBorder(BorderFactory.createTitledBorder("Datos Referentes al Contrato"));
  P9.setBounds(0,b/4+120,a,170);  
  P9.setBackground(new Color(51,204,204));
  
  P9.add(P7);
  P9.add(P8);
  getContentPane().add(P9);
 

  JPanel P10=new JPanel(new FlowLayout());
  P10.setBounds(0,b/4+290,a,3*b/4-380);  
  P10.setBackground(new Color(51,204,204));
  P10.setBorder(BorderFactory.createTitledBorder("Otros Datos"));
    
  JLabel LIsapre = new JLabel("  ISAPRE");
  LIsapre.setFont(new  Font("Arial", 0, 17));
  LIsapre.setForeground(Color.black);
    
  JLabel LAFP = new JLabel("  AFP");
  LAFP.setFont(new  Font("Arial", 0, 17));
  LAFP.setForeground(Color.black);
 
  JLabel LPIsapre = new JLabel("UFs a Imponer por Isapre");
  LPIsapre.setFont(new  Font("Arial", 0, 17));
  LPIsapre.setForeground(Color.black);
 
  TPIsapre = new JTextField(5);
  TPIsapre.setFont(new  Font("Arial", 0, 14));
  TPIsapre.setForeground(Color.black);
  TPIsapre.getDocument().addDocumentListener(new MyDocumentListener()); 
  TPIsapre.getDocument().putProperty("name","TPIsapre"); 
  
  String[] afps = {"-Seleccione-","Cprum","Habitat","Magister","Plan Vital","Santa Maria","Summa-Bansander"};
  final JComboBox CAFP = new JComboBox(afps);
  CAFP.setEditable(true);
  CAFP.addActionListener(
         new ActionListener() {
             public void actionPerformed(ActionEvent e) {  
             String temp = (String)CAFP.getSelectedItem(); 
             datos[17]=temp;
                }
 });
 
  String[] isapres = {"-Seleccione-","Aetna","Banmedica","Colmena G.C", "Consalud","ING Salud","Fonasa", "Mas vida"};
  final JComboBox CIsapre = new JComboBox(isapres);
  CIsapre.setEditable(true);
  CIsapre.addActionListener(
         new ActionListener() {
             public void actionPerformed(ActionEvent e) {  
             String temp = (String)CIsapre.getSelectedItem(); 
             datos[15]=temp;
                }
 });
 
  P10.add(LIsapre);
  P10.add(CIsapre);
  P10.add(LPIsapre);
  P10.add(TPIsapre);
  P10.add(LAFP);
  P10.add(CAFP);
  getContentPane().add(P10);

  JPanel P11=new JPanel();
  P11.setBounds(0,b-90,a,b);  
  P11.setBackground(new Color(51,204,204));
  P11.setBorder(new EmptyBorder(10,10,10,10));

  JButton BAceptar =new JButton("Aceptar");
  BAceptar.setToolTipText("Contratar al empleado");
  BAceptar.setBackground(Color.orange);
      
  JButton BCancelar = new JButton("Cancelar");
  BCancelar.setToolTipText("No Contratar");
  BCancelar.setBackground(Color.orange);
  P11.add(BAceptar);    
  P11.add(BCancelar);
  getContentPane().add(P11);
 
  BAceptar.addActionListener(
         new ActionListener(){
            public void actionPerformed(ActionEvent e) {  
                  Guardar_Datos(); } 
           });

  BCancelar.addActionListener(
           new ActionListener() {
             public void actionPerformed(ActionEvent e){
                 dispose(); } 
             });
 }

  public void Guardar_Datos(){
    
     String newline = System.getProperty("line.separator"); 
     String DATOS1;
     String DATOS2;    
     String DATOS3;   
     int n;
      
//Archivo 1      
     n=datos[0].length();
     DATOS1=datos[0]+";";  
     for (int i=0 ;i <=(8-n);i++ ){DATOS1 = DATOS1+" ";}
     
     n=datos[1].length();
     DATOS1=DATOS1 + datos[1]+";";      
     for (int i=0 ;i <=(10-n);i++ ){DATOS1 = DATOS1+" ";}
     
     n=datos[2].length();
     DATOS1=DATOS1 + datos[2]+";";      
     for (int i=0 ;i <=(10-n);i++ ){DATOS1 = DATOS1+" ";}
    
     n=datos[3].length();
     DATOS1=DATOS1 + datos[3]+";";      
     for (int i=0 ;i <=(20-n);i++ ){DATOS1 = DATOS1+" ";}

     n=datos[4].length();
     DATOS1=DATOS1 + datos[4]+";";      
     for (int i=0 ;i <=(14-n);i++ ){DATOS1 = DATOS1+" ";}

     n=datos[5].length();
     DATOS1=DATOS1 + datos[5]+";";      
     for (int i=0 ;i <=(23-n);i++ ){DATOS1 = DATOS1+" ";}
 
     n=datos[6].length();
     DATOS1=DATOS1 + datos[6];      
        
  
//Archivo 2     
     n=datos[0].length();
     DATOS2=datos[0]+";";      
     for (int i=0 ;i <=(8-n);i++ ){DATOS2 = DATOS2+" ";}

     n=datos[7].length();
     DATOS2=DATOS2 + datos[7]+";";      
     for (int i=0 ;i <=(35-n);i++ ){DATOS2 = DATOS2+" ";}
     
     n=datos[8].length();
     DATOS2=DATOS2 + datos[8]+";";      
     for (int i=0 ;i <=(15-n);i++ ){DATOS2 = DATOS2+" ";}
     
     n=datos[9].length();
     DATOS2=DATOS2 + datos[9]+";";      
     for (int i=0 ;i <=(22-n);i++ ){DATOS2 = DATOS2+" ";}

     DATOS2=DATOS2 + datos[10];      
  
 //Archivo 3
  
    String tfecha_i=fecha_i[0]+"-"+fecha_i[1]+"-"+fecha_i[2];
    String tfecha_t=fecha_t[0]+"-"+fecha_t[1]+"-"+fecha_t[2];
     
     DATOS3=datos[0]+";";
     n=datos[0].length();
     for (int i=0 ;i <=(10-n);i++ ){DATOS3 = DATOS3 + " ";}
     DATOS3=DATOS3+tfecha_i+";";
     n=tfecha_i.length();
     for (int i=0 ;i <=(12-n);i++ ){DATOS3 = DATOS3 + " ";}
     DATOS3=DATOS3+tfecha_t+";";
     for (int i=0 ;i <=(12-n);i++ ){DATOS3 = DATOS3 + " ";}
     
     for (int j=13; j <= 17; j++){
        String temp=datos[j];
        n=temp.length();
        DATOS3=DATOS3 + temp+";";      
        for (int i=0 ;i <=(13-n);i++ ){DATOS3 = DATOS3+" ";}
     }
     
     n=datos[11].length();
     DATOS3=DATOS3 + datos[11]+";";      
     for (int i=0 ;i <=(4-n);i++ ){DATOS3 = DATOS3+" ";}

     n=datos[12].length();
     DATOS3=DATOS3 + datos[12];      

      try{
         PrintStream outFile1= new PrintStream(new FileOutputStream(new File("datos_contrato1.dat"),true));
         outFile1.println(DATOS1);  
         outFile1.close(); 
       } 
      catch (IOException e){
         System.err.println("Error al guardar en datos_contrato1.dat");
       }
     
      try{
         PrintStream outFile2= new PrintStream(new FileOutputStream(new File("datos_contrato2.dat"),true));
         outFile2.println(DATOS2);  
         outFile2.close();  
         } 
      catch (IOException e){
         System.err.println("Error al guardar en datos_contrato2.dat");
      }

      try{
         PrintStream outFile3= new PrintStream(new FileOutputStream(new File("datos_contrato3.dat"),true));
         outFile3.println(DATOS3); 
         outFile3.close();  } 
      catch (IOException e){
         System.err.println("Error al guardar en datos_contrato3.dat");
      }
  
    }

class MyDocumentListener implements DocumentListener {
     
    public void insertUpdate(DocumentEvent e) {
            updateLog(e,"inserted into");
    }  
    public void removeUpdate(DocumentEvent e) {
            updateLog(e, "removed from");
     }
    public void changedUpdate(DocumentEvent e) {
         //Plain text components don't fire these events.
    }
    public void updateLog(DocumentEvent e, String action){
             Document doc = e.getDocument();
             if (doc.getProperty("name").equals("TFicha")){
                 datos[0]=(String)TFicha.getText();  
                 }
            else if (doc.getProperty("name").equals("TApellidoP")){
                 datos[1]=(String)TApellidoP.getText();  
                 }
            else if (doc.getProperty("name").equals("TApellidoM")){
                 datos[2]=(String)TApellidoM.getText();  
                  }
            else if (doc.getProperty("name").equals("TNombres")){
                 datos[3]=(String)TNombres.getText();  
                 }
            else if (doc.getProperty("name").equals("TRut")){
                 datos[4]=(String)TRut.getText();  
                 }
            else if (doc.getProperty("name").equals("TFechaN")){
                 datos[5]=(String)TFechaN.getText();  
                  }
            else if (doc.getProperty("name").equals("TProfesion")){
                 datos[6]=(String)TProfesion.getText();  
                 }
            else if (doc.getProperty("name").equals("TDireccion")){
                 datos[7]=(String)TDireccion.getText();  
                 }
            else if (doc.getProperty("name").equals("TCiudad")){
                 datos[8]=(String)TCiudad.getText();  
                 }
            else if (doc.getProperty("name").equals("TTelefono")){
                 datos[9]=(String)TTelefono.getText();  
                  }
            else if (doc.getProperty("name").equals("TEmail")){
                 datos[10]=(String)TEmail.getText();  
                 }
 				else if (doc.getProperty("name").equals("TNCalzado")){
                 datos[11]=(String)TNCalzado.getText();  
                  }
 				else if (doc.getProperty("name").equals("TTalla")){
                 datos[12]=(String)TTalla.getText();  
                  }
 				else if (doc.getProperty("name").equals("TCargo")){
                 datos[13]=(String)TCargo.getText();  
                  }
 				else if (doc.getProperty("name").equals("TSueldoB")){
                 datos[14]=(String)TSueldoB.getText();  
                 }
 				else if (doc.getProperty("name").equals("TFechaId")){
                 fecha_i[0]=(String)TFechaId.getText();  
                  }
            else if (doc.getProperty("name").equals("TFechaIm")){
                 fecha_i[1]=(String)TFechaIm.getText();  
                 }
            else if (doc.getProperty("name").equals("TFechaIa")){
                 fecha_i[2]=(String)TFechaIa.getText();  
                  }
            else if (doc.getProperty("name").equals("TFechaTd")){
                 fecha_t[0]=(String)TFechaTd.getText();  
                  }
            else if (doc.getProperty("name").equals("TFechaTm")){
                 fecha_t[1]=(String)TFechaTm.getText();  
                 }
            else if (doc.getProperty("name").equals("TFechaTa")){
                 fecha_t[2]=(String)TFechaTa.getText();  
                 }
            else if (doc.getProperty("name").equals("TFechaTa")){
                 fecha_t[2]=(String)TFechaTa.getText();  
                  }
            else if (doc.getProperty("name").equals("TPIsapre")){
                 datos[16]=(String)TPIsapre.getText();  
                }
  
     }
  }

}











