import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

import javax.swing.*;
import javax.swing.text.*;
import javax.swing.border.*;
import javax.swing.event.*;

import java.awt.Dimension;
import java.awt.BorderLayout;
import java.text.*;
import java.lang.String.*;


public class Remuneracion extends JFrame{

JPanel P1,P2,P3,P4,P5,P6,P7,P8,P9,P10,P11,P12,P13,P14,P15;
JPanel P16,P17,P18,P19,P20;

JTextField TBuscar,TCargas,TDias,THExtras;
JTextField TOHI,THNI,TAnticipo;
JTextField TUF,TUTM;
JTextField TNombre1,TRut1;
JTextField TSueldoB,TGLegal,THEx1,TOHIs,THNIs;
JTextField TAFP,TISAPRE,TIU,TAnticipo1,TOD;
JTextField TTH,TTD,TLP;

Properties Eventos = new Properties();
 FileInputStream in;

String buscar,cargas,dias,horas_extras,ohi,hni,anticipo,uf,utm;
String sueldo_base,afp,isapre,valor_isapre;

 private PrintStream outFile1;
 private PrintWriter outFile2;
 private PrintWriter outFile3;

 private BufferedReader inFile1;
 private BufferedReader inFile2;
 private BufferedReader inFile3;
 private BufferedReader inFile_afp;
 
 private DecimalFormat Format;
 private DecimalFormatSymbols unusualSymbols;

 private NumberFormat f;

 public Remuneracion(){

    super("Calculo de Remuneracion");
    
    getRootPane().putClientProperty("defeatSystemEventQueueCheck",
                                       Boolean.TRUE);

    Dimension screenSize =  Toolkit.getDefaultToolkit().getScreenSize();
    int a=(int)2*screenSize.width/3;
    int b=(int)4*screenSize.height/5;
    
    setSize(a,b);
    setLocation((screenSize.width-a)/2,(screenSize.height-b)/2);
    setResizable(false);

  //Formato a ocupar
   unusualSymbols = new DecimalFormatSymbols();
   unusualSymbols.setDecimalSeparator(',');
   unusualSymbols.setGroupingSeparator('.');
   String strange = "#,##0.###";
   Format = new DecimalFormat(strange,unusualSymbols);
   
           
    try{
        in = new FileInputStream ("Contratados.dat");
         Eventos.load(in);
        } catch (FileNotFoundException e) {
          // System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        } catch (IOException e) {
          //  System.err.println("\nOUTPUT FILE STREAM:\n" + e);
        }


    addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) { }
        });
    getContentPane().setLayout(null);
    getContentPane().setBackground(new Color(51,204,204));
  
///////////////Ingreso de Datos para realizar la opperacion////////
   buscar = new String();
   dias = new String();
   horas_extras = new String();
   ohi  = new String();
   hni    = new String();
   anticipo= new String();
   uf     = new String();
   utm    = new String();

   JPanel P1 = new JPanel(new BorderLayout());
   P1.setLayout(new BoxLayout(P1, BoxLayout.X_AXIS));
   P1.setBounds(0,0,2*a/3,b/24);  
   P1.setBackground(new Color(51,204,204));
   P1.setBorder(new EmptyBorder(0,10,0,0));

   JLabel LBusqueda = new JLabel("Buscar por numero de Ficha");
   LBusqueda.setFont(new  Font("Arial", 0, 17));
   LBusqueda.setForeground(Color.black);
   P1.add(LBusqueda);

   TBuscar = new JTextField(12);
   TBuscar.setFont(new Font("Arial", 0, 14));
   TBuscar.setForeground(Color.black);
   P1.add(TBuscar);
   TBuscar.getDocument().addDocumentListener(new MyDocumentListener()); 
   TBuscar.getDocument().putProperty("name","TBuscar"); 

   JButton BBuscar = new JButton("Buscar");
   BBuscar.setToolTipText("Busqueda del empleado");
   BBuscar.setBackground(Color.orange);
   P1.add(BBuscar);    
   getContentPane().add(P1);
   BBuscar.addActionListener(     
           new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                  Buscar_Datos(); } 
           });
   
   
   JPanel P2 = new JPanel(new BorderLayout());
   P2.setLayout(new BoxLayout(P2, BoxLayout.X_AXIS));
   P2.setBounds(0,b/24+10,7*a/8,b/24+20);  
   P2.setBackground(new Color(51,204,204));
   P2.setBorder(new EmptyBorder(10,10,10,10));
   
   JLabel LCargas = new JLabel("NCargas Familiares");
   LCargas.setFont(new  Font("Arial", 0, 17));
   LCargas.setForeground(Color.black);
   P2.add(LCargas);

   TCargas = new JTextField(3);
   TCargas.setFont(new Font("Arial", 0, 14));
   TCargas.setForeground(Color.black);
   P2.add(TCargas);
   TCargas.getDocument().addDocumentListener(new MyDocumentListener()); 
   TCargas.getDocument().putProperty("name","TCargas"); 
 
   JLabel LDias = new JLabel("Dias Trabajados");
   LDias.setFont(new  Font("Arial", 0, 17));
   LDias.setForeground(Color.black);
   P2.add(LDias);

   TDias = new JTextField(2);
   TDias.setFont(new Font("Arial", 0, 14));
   TDias.setForeground(Color.black);
   P2.add(TDias);
   TDias.getDocument().addDocumentListener(new MyDocumentListener()); 
   TDias.getDocument().putProperty("name","TDias"); 
 
   JLabel LHExtras = new JLabel("Horas Extras");
   LHExtras.setFont(new  Font("Arial", 0, 17));
   LHExtras.setForeground(Color.black);
   P2.add(LHExtras);

   THExtras = new JTextField(3);
   THExtras.setFont(new Font("Arial", 0, 14));
   THExtras.setForeground(Color.black);
   P2.add(THExtras);
   THExtras.getDocument().addDocumentListener(new MyDocumentListener()); 
   THExtras.getDocument().putProperty("name","THExtras"); 
 
   getContentPane().add(P2);
 
///////////////////////
   JPanel P3 = new JPanel(new BorderLayout());
   P3.setLayout(new BoxLayout(P3, BoxLayout.Y_AXIS));
   P3.setBounds(0,b/12+30,a/2,b/8);  
   P3.setBackground(new Color(51,204,204));
   P3.setBorder(new EmptyBorder(0,10,0,0));
 
   JLabel LOHI = new JLabel("Otros Haberes Imponibles");
   LOHI.setFont(new  Font("Arial", 0, 17));
   LOHI.setForeground(Color.black);
   P3.add(LOHI);

   JLabel LHNI = new JLabel("Haberes No Imponibles");
   LHNI.setFont(new  Font("Arial", 0, 17));
   LHNI.setForeground(Color.black);
   P3.add(LHNI);

   JLabel LAnticipo = new JLabel("Anticipo");
   LAnticipo.setFont(new  Font("Arial", 0, 17));
   LAnticipo.setForeground(Color.black);
   P3.add(LAnticipo);

   JPanel P4 = new JPanel(new BorderLayout());
   P4.setLayout(new BoxLayout(P4, BoxLayout.Y_AXIS));
   P4.setBounds(a/2,b/12+30,a/8,b/8);  
   P4.setBackground(new Color(51,204,204));
   P4.setBorder(new EmptyBorder(0,10,0,0));

   TOHI = new JTextField(8);
   TOHI.setFont(new Font("Arial", 0, 14));
   TOHI.setForeground(Color.black);
   P4.add(TOHI);
   TOHI.getDocument().addDocumentListener(new MyDocumentListener()); 
   TOHI.getDocument().putProperty("name","TOHI"); 
   
   THNI = new JTextField(8);
   THNI.setFont(new Font("Arial", 0, 14));
   THNI.setForeground(Color.black);
   P4.add(THNI);
   THNI.getDocument().addDocumentListener(new MyDocumentListener()); 
   THNI.getDocument().putProperty("name","THNI"); 
 
   TAnticipo = new JTextField(8);
   TAnticipo.setFont(new Font("Arial", 0, 14));
   TAnticipo.setForeground(Color.black);
   P4.add(TAnticipo);
   TAnticipo.getDocument().addDocumentListener(new MyDocumentListener()); 
   TAnticipo.getDocument().putProperty("name","TAnticipo"); 
 
   JPanel P5 = new JPanel(new GridLayout(0,2));
//   P6.setLayout(new BoxLayout(P6, BoxLayout.X_AXIS));
   P5.setBounds(5*a/8,b/12+30,3*a/8,b/12);  
   P5.setBackground(new Color(51,204,204));
   P5.setBorder(new EmptyBorder(0,10,0,0));


   JLabel LUF = new JLabel("UF");
   LUF.setFont(new  Font("Arial", 0, 17));
   LUF.setForeground(Color.black);
   P5.add(LUF);

   TUF = new JTextField(7);
   TUF.setFont(new Font("Arial", 0, 14));
   TUF.setForeground(Color.black);
   P5.add(TUF);
   TUF.getDocument().addDocumentListener(new MyDocumentListener()); 
   TUF.getDocument().putProperty("name","TUF"); 
  
   JLabel LUTM = new JLabel("UTM");
   LUTM.setFont(new  Font("Arial", 0, 17));
   LUTM.setForeground(Color.black);
   P5.add(LUTM);
 
   TUTM = new JTextField(7);
   TUTM.setFont(new Font("Arial", 0, 14));
   TUTM.setForeground(Color.black);
   P5.add(TUTM);
   TUTM.getDocument().addDocumentListener(new MyDocumentListener()); 
   TUTM.getDocument().putProperty("name","TUTM"); 

       
//   getContentPane().add(P6);

   JPanel P6 = new JPanel(new BorderLayout());
   P6.setLayout(new BoxLayout(P6, BoxLayout.X_AXIS));
   P6.setBounds(0,b/12+30,6*a/8,b/7);  
   P6.setBackground(new Color(51,204,204));
   P6.setBorder(new EmptyBorder(10,10,10,10));
   P6.setBorder(BorderFactory.createTitledBorder("Ingrese Los Siguientes  Datos"));

   P6.add(P3);
   P6.add(P4); 
   P6.add(P5); 
   getContentPane().add(P6);

   JPanel P7 = new JPanel(new FlowLayout());
   P7.setLayout(new BoxLayout(P7, BoxLayout.X_AXIS));
   P7.setBounds(6*a/8+10,b/12+30,4*a/8-10,b/7);  
   P7.setBackground(new Color(51,204,204));
   P7.setBorder(new EmptyBorder(0,10,0,0));

   JButton BCalcular = new JButton("Calcular");
   BCalcular.setToolTipText("Calculo de Remuneracion");
   BCalcular.setBackground(Color.orange);
   P7.add(BCalcular);
   BCalcular.addActionListener( 
         new ActionListener() {
            public void actionPerformed(ActionEvent e) {  
                 Calcular_Remuneracion();
             //     
                 }
    });
  
   JButton BSalir = new JButton("Salir");
   BSalir.setSize(10,10);
   BSalir.setToolTipText("Salir");
   BSalir.setBackground(Color.orange);
   P7.add(BSalir);
   BSalir.addActionListener( 
           new ActionListener() {
                 public void actionPerformed(ActionEvent e) {  
                 dispose();           
              }
  });
   
   getContentPane().add(P7);

//////////////////Muestra de Resultados//////////////////////////////////////

   JPanel R = new JPanel(new BorderLayout());
   R.setLayout(new BoxLayout(R, BoxLayout.Y_AXIS));
   R.setBounds(0,19*b/84+30,a,b-19*b/84-50);  
   R.setBackground(new Color(51,204,204));
   R.setBorder(BorderFactory.createTitledBorder("Resultados"));
 
   JPanel P8 = new JPanel(new BorderLayout());
   P8.setLayout(new BoxLayout(P8, BoxLayout.Y_AXIS));
  //P8.setBounds(0,19*b/84+40,a/4,50);  
   P8.setBackground(new Color(51,204,204));
   P8.setBorder(BorderFactory.createTitledBorder(""));
  
   JLabel LRut = new JLabel("Rut");
   LRut.setFont(new  Font("Arial", 0, 17));
   LRut.setForeground(Color.black);
   P8.add(LRut);

   TRut1 = new JTextField(12);
   TRut1.setFont(new  Font("Arial", 0, 17));
   TRut1.setBackground(Color.white);
   TRut1.setForeground(Color.black);
   TRut1.setEditable(false);
   P8.add(TRut1);
   
   JPanel P9 = new JPanel(new BorderLayout());
   P9.setLayout(new BoxLayout(P9, BoxLayout.Y_AXIS));
 //  P9.setBounds(a/4,19*b/84+40,3*a/4,50);  
   P9.setBackground(new Color(51,204,204));
   P9.setBorder(BorderFactory.createTitledBorder(""));
 
   JLabel LNombre = new JLabel("Nombre");
   LNombre.setFont(new  Font("Arial", 0, 17));
   LNombre.setForeground(Color.black);
   P9.add(LNombre);

   TNombre1 = new JTextField(25);
   TNombre1.setFont(new  Font("Arial", 0, 17));
   TNombre1.setBackground(Color.white);
   TNombre1.setForeground(Color.black);
   TNombre1.setEditable(false);
   P9.add(TNombre1);
  
   JPanel P10 = new JPanel(new BorderLayout());
   P10.setLayout(new BoxLayout(P10, BoxLayout.X_AXIS)); 
   P10.setBackground(new Color(51,204,204));
   P10.setBorder(new EmptyBorder(10,30,10,30));
 //  P10.setBorder(BorderFactory.createTitledBorder(""));

   P10.add(P8);
   P10.add(P9);
   R.add(P10);
   //getContentPane().add(R);

////////////Detalle Haberes////////////////////////////
   
   JPanel P11 = new JPanel(new BorderLayout());
   P11.setLayout(new BoxLayout(P11, BoxLayout.Y_AXIS));
//   P11.setBounds(0,19*b/84+140,a/4,300);  
   P11.setBackground(new Color(51,204,204));
   P11.setBorder(new EmptyBorder(0,0,0,0));
     
   JLabel LSueldoB = new JLabel("Sueldo Base");
   LSueldoB.setFont(new  Font("Arial", 0, 17));
   LSueldoB.setForeground(Color.black);
   P11.add(LSueldoB);

   JLabel LGLegal = new JLabel("Gratif. Legal");
   LGLegal.setFont(new  Font("Arial", 0, 17));
   LGLegal.setForeground(Color.black);
   P11.add(LGLegal);

   JLabel LHEx = new JLabel("Horas Extras");
   LHEx.setFont(new  Font("Arial", 0, 17));
   LHEx.setForeground(Color.black);
   P11.add(LHEx);

   JLabel LOHIs = new JLabel("Otros Hab. Imponibles");
   LOHIs.setFont(new  Font("Arial", 0, 17));
   LOHIs.setForeground(Color.black);
   P11.add(LOHIs);

   JLabel LOHNIs = new JLabel("Haberes No Imponibles");
   LOHNIs.setFont(new  Font("Arial", 0, 17));
   LOHNIs.setForeground(Color.black);
   P11.add(LOHNIs);
 
   JPanel P12 = new JPanel(new BorderLayout());
   P12.setLayout(new BoxLayout(P12, BoxLayout.Y_AXIS));
//   P12.setBounds(a/4,19*b/84+40,a/4,300);  
   P12.setBackground(new Color(51,204,204));
   P12.setBorder(new EmptyBorder(0,0,0,0));
   
   TSueldoB = new JTextField(10);
   TSueldoB.setFont(new  Font("Arial", 0, 17));
   TSueldoB.setForeground(Color.black);
   TSueldoB.setEditable(false);
   P12.add(TSueldoB);

   TGLegal = new JTextField(10);
   TGLegal.setFont(new  Font("Arial", 0, 17));
   TGLegal.setForeground(Color.black);
   TGLegal.setEditable(false);
   P12.add(TGLegal);

   THEx1 = new JTextField(10);
   THEx1.setFont(new  Font("Arial", 0, 17));
   THEx1.setForeground(Color.black);
   THEx1.setEditable(false);
   P12.add(THEx1);

   TOHIs = new JTextField(10);
   TOHIs.setFont(new Font("Arial", 0, 17));
   TOHIs.setForeground(Color.black);
   TOHIs.setEditable(false);
   P12.add(TOHIs);

   THNIs = new JTextField(10);
   THNIs.setFont(new  Font("Arial", 0, 17));
   THNIs.setForeground(Color.black);
   THNIs.setEditable(false);
   P12.add(THNIs);
   

   JPanel P13 = new JPanel(new FlowLayout());
   P13.setLayout(new BoxLayout(P13, BoxLayout.X_AXIS));
//   P13.setBounds(0,19*b/84+40,a/2,300);  
   P13.setBackground(new Color(51,204,204));
   P13.setBorder(new EmptyBorder(0,0,0,0));
   P13.setBorder(BorderFactory.createTitledBorder("Detalle Haberes"));

   P13.add(P11);
   P13.add(P12);
   
  //   R.add(P13);

////////////////////Detalle Hberes//////////////////


   JPanel P14 = new JPanel(new BorderLayout());
   P14.setLayout(new BoxLayout(P14, BoxLayout.Y_AXIS));
 //  P14.setBounds(a/2,19*b/84+40,a/4,300);  
   P14.setBackground(new Color(51,204,204));
   P14.setBorder(new EmptyBorder(0,0,0,0));
     
   JLabel LAFP = new JLabel("AFP");
   LAFP.setFont(new  Font("Arial", 0, 17));
   LAFP.setForeground(Color.black);
   P14.add(LAFP);

   JLabel LISAPRE = new JLabel("ISAPRE");
   LISAPRE.setFont(new  Font("Arial", 0, 17));
   LISAPRE.setForeground(Color.black);
   P14.add(LISAPRE);

   JLabel LIU = new JLabel("Impuesto Unico");
   LIU.setFont(new  Font("Arial", 0, 17));
   LIU.setForeground(Color.black);
   P14.add(LIU);

   JLabel LAnticipo1 = new JLabel("Anticipo");
   LAnticipo1.setFont(new  Font("Arial", 0, 17));
   LAnticipo1.setForeground(Color.black);
   P14.add(LAnticipo1);

   JLabel LOD = new JLabel("Otros Descuentos");
   LOD.setFont(new  Font("Arial", 0, 17));
   LOD.setForeground(Color.black);
   P14.add(LOD);
 
   JPanel P15 = new JPanel(new BorderLayout());
   P15.setLayout(new BoxLayout(P15, BoxLayout.Y_AXIS));
 //  P15.setBounds(a/4,19*b/84+40,a/4,300);  
   P15.setBackground(new Color(51,204,204));
   P15.setBorder(new EmptyBorder(0,0,0,0));
   
   TAFP = new JTextField(10);
   TAFP.setFont(new  Font("Arial", 0, 17));
   TAFP.setForeground(Color.black);
   TAFP.setEditable(false);
   P15.add(TAFP);

   TISAPRE = new JTextField(10);
   TISAPRE.setFont(new  Font("Arial", 0, 17));
   TISAPRE.setForeground(Color.black);
   TISAPRE.setEditable(false);
   P15.add(TISAPRE);

   TIU = new JTextField(10);
   TIU.setFont(new  Font("Arial", 0, 17));
   TIU.setForeground(Color.black);
   TIU.setEditable(false);
   P15.add(TIU);

   TAnticipo1 = new JTextField(10);
   TAnticipo1.setFont(new Font("Arial", 0, 17));
   TAnticipo1.setForeground(Color.black);
   TAnticipo1.setEditable(false);
   P15.add(TAnticipo1);

   TOD = new JTextField(10);
   TOD.setFont(new  Font("Arial", 0, 17));
   TOD.setForeground(Color.black);
   TOD.setEditable(false);
   P15.add(TOD);
   

   JPanel P16 = new JPanel(new FlowLayout());
   P16.setLayout(new BoxLayout(P16, BoxLayout.X_AXIS));
 //  P16.setBounds(a/2,19*b/84+40,a/2,300);  
   P16.setBorder(new EmptyBorder(30,0,30,0));
   P16.setBackground(new Color(51,204,204));
   P16.setBorder(BorderFactory.createTitledBorder("Detalle Descuento"));

   P16.add(P14);
   P16.add(P15);
  
   JPanel P17 = new JPanel(new BorderLayout());
   P17.setLayout(new BoxLayout(P17, BoxLayout.X_AXIS));
//   P17.setBounds(0,19*b/84+40,a,200);  
   P17.setBackground(new Color(51,204,204));
   P17.setBorder(new EmptyBorder(0,30,0,30));
       
   P17.add(P13);
   P17.add(P16);

   R.add(P17);
  
   JPanel P18 = new JPanel(new BorderLayout());
   P18.setLayout(new BoxLayout(P18, BoxLayout.Y_AXIS));
  // P11.setBounds(0,19*b/84+40,a,b/12+20);  
   P18.setBackground(new Color(51,204,204));
   P18.setBorder(new EmptyBorder(0,0,0,0));
     
   JLabel LTH = new JLabel("Total Haberes");
   LTH.setFont(new  Font("Arial", 0, 17));
   LTH.setForeground(Color.black);
   P18.add(LTH);

   JLabel LTD = new JLabel("Total Descuento");
   LTD.setFont(new  Font("Arial", 0, 17));
   LTD.setForeground(Color.black);
   P18.add(LTD);

   JLabel LLP = new JLabel("Liquido a Pagar");
   LLP.setFont(new  Font("Arial", 0, 17));
   LLP.setForeground(Color.black);
   P18.add(LLP);

   JPanel P19 = new JPanel(new BorderLayout());
   P19.setLayout(new BoxLayout(P19, BoxLayout.Y_AXIS));
  // P11.setBounds(0,19*b/84+40,a,b/12+20);  
   P19.setBackground(new Color(51,204,204));
   P19.setBorder(new EmptyBorder(15,15,15,15));
   
   TTH = new JTextField(10);
   TTH.setFont(new  Font("Arial", 0, 17));
   TTH.setForeground(Color.black);
   TTH.setEditable(false);
   P19.add(TTH);

   TTD = new JTextField(10);
   TTD.setFont(new  Font("Arial", 0, 17));
   TTD.setForeground(Color.black);
   TTD.setEditable(false);
   P19.add(TTD);

   TLP = new JTextField(10);
   TLP.setFont(new  Font("Arial", 0, 17));
   TLP.setForeground(Color.black);
   TLP.setEditable(false);
   P19.add(TLP);

   JPanel P20 = new JPanel(new FlowLayout());
   P20.setLayout(new BoxLayout(P20, BoxLayout.X_AXIS));
  // P20.setBounds(0,7*b/8,a,b/8);  
   P20.setBackground(new Color(51,204,204));
   P20.setBorder(BorderFactory.createTitledBorder("Final"));
   P20.setBorder(new EmptyBorder(10,30,10,30));

   P20.add(P18);
   P20.add(P19);
   R.add(P20);

   getContentPane().add(R);


  }

 public void Buscar_Datos(){
      
   String line=" ";
   String ficha,rut,apellidop,apellidom,nombres,datos;
 
   try{
     inFile1=new BufferedReader(new FileReader("datos_contrato1.dat"));    
  //   StringTokenizer dato=new StringTokenizer(line,";");

     int k=1;
     while((line=inFile1.readLine())!=null & k==1){
           
           StringTokenizer dato=new StringTokenizer(line,";");
            ficha=dato.nextToken();
            if (buscar.equals(ficha)){ 
					 apellidop=dato.nextToken();
    				 apellidom=dato.nextToken();
    				 nombres=dato.nextToken();
    				 rut=dato.nextToken();
     			    nombres=nombres+apellidop+apellidom;
                k=0;	
                TRut1.setText(rut);
                TNombre1.setText(nombres);
                } 
      }
     inFile1.close();  
     
     if (k==0){} 
     if (k==1){ System.out.println("La ficha no esta ingresada");
                TNombre1.setText("Esta Ficha no existe"); 
                TRut1.setText("Esta Ficha no existe"); } 
    
      TSueldoB.setText("0"); 
   	TGLegal.setText("0"); 
  		THEx1.setText("0"); 
   	TOHIs.setText("0"); 
   	THNIs.setText("0"); 
   
   	TAFP.setText("0"); 
   	TISAPRE.setText("0");  
  	   TIU.setText("0"); 
   	TAnticipo1.setText("0"); 
   	TOD.setText("0"); 	

	   TTH.setText("0"); 
      TTD.setText("0"); 
	   TLP.setText("0"); 
       
      TCargas.setText("0");  
      TDias.setText("0");  
      THExtras.setText("0");  
      TOHI.setText("0");  
      THNI.setText("0");  
      TAnticipo.setText("0");  
   //   TUF.setText("0");  
  //    TUTM.setText("0");  

          
  }  
    catch (IOException e){}
   
    try{
     inFile3=new BufferedReader(new FileReader("datos_contrato3.dat"));    
     int k=1;
     String temp;
     while((line=inFile3.readLine())!=null & k==1){
           
            StringTokenizer dato=new StringTokenizer(line,";");
            ficha=dato.nextToken();
            if (buscar.equals(ficha)){ 
					 temp=dato.nextToken();
    				 temp=dato.nextToken();
    				 temp=dato.nextToken();
    				 sueldo_base=dato.nextToken();
     			    isapre=dato.nextToken();
     			    valor_isapre=dato.nextToken();
     			    afp=dato.nextToken();
     			    k=0;	
            } 
      }
     inFile3.close();  
     
     if (k==0){} 
     if (k==1){System.out.println("La ficha no esta ingresada");
                TNombre1.setText("Esta Ficha no existe"); 
                TRut1.setText("Esta Ficha no existe"); } 
      }  
    catch (IOException e){}

  
 }
 
  public void Calcular_Remuneracion(){
  
   float sbase_real,gratif_legal,ingreso_minimo,total_extra,total_haberes;
   float  total_haberes_imp,desc_afp,desc_isapre,renta,imp_unico,desc_legal;
   float total_desc,liquido,asig_f;
   
  float  nsueldo_base,ndias,nhoras_extras,nohi,nhni,nanticipo,nuf,nutm,nvalor,ncargas;
  float  nvalor_isapre;
  float temp;

    ingreso_minimo=111203f;  
   

   try{
  
   nsueldo_base=(float)Float.parseFloat(sueldo_base);
   ndias=(float)Float.parseFloat(dias);
   nhoras_extras=(float)Float.parseFloat(horas_extras);
   nohi=(float)Float.parseFloat(ohi);
   nhni=(float)Float.parseFloat(hni);
   nanticipo=(float)Float.parseFloat(anticipo);
   nuf=(float)Float.parseFloat(uf);
   nutm=(float)Float.parseFloat(utm);
   nvalor_isapre=(float)Float.parseFloat(valor_isapre);
   ncargas=(float)Float.parseFloat(cargas);
 
   sbase_real=(nsueldo_base)*ndias/30;
   gratif_legal=ingreso_minimo*(475)*(ndias)/(1200*30);
   total_extra=(sbase_real)*(28)*nhoras_extras*(15)/(30*192*10);
   total_haberes=sbase_real+gratif_legal+total_extra+nohi+nhni;
   total_haberes_imp=total_haberes-nhni;
   desc_afp = Descuento_AFP(afp,total_haberes_imp,nuf);
   desc_isapre = Descuento_ISAPRE(nvalor_isapre,nuf,total_haberes_imp);
   renta=total_haberes_imp-desc_afp-desc_isapre;
   imp_unico=Imp_Unico(total_haberes_imp,nutm);
   desc_legal=desc_afp+desc_isapre+imp_unico;
   total_desc=desc_legal+nanticipo;
   liquido=total_haberes-total_desc;
   asig_f=Asignacion_Familiar(ncargas,ndias,nsueldo_base);
   liquido=liquido+asig_f;

 
  
   TSueldoB.setText(Format.format(sbase_real)); 
   TGLegal.setText(Format.format(gratif_legal)); 
   THEx1.setText(Format.format(total_extra)); 
   TOHIs.setText(Format.format(nohi)); 
   THNIs.setText(Format.format(nhni)); 
   
   TAFP.setText(Format.format(desc_afp)); 
   TISAPRE.setText(Format.format(desc_isapre));  
   TIU.setText(Format.format(imp_unico)); 
   TAnticipo1.setText(Format.format(nanticipo)); 
	TOD.setText("0"); 	

	TTH.setText(Format.format(total_haberes)); 
   TTD.setText(Format.format(total_desc)); 
	TLP.setText(Format.format(liquido)); 



 }
   catch(Exception e){System.out.println("Error al leer datos");
}
  
  
   
}
 public float Asignacion_Familiar(float cargas,float dias,float sbase){
 
  float factor;
  float valor;

  factor=0.0f;

  if (sbase < 111200f)factor=3607.00f;
  if (sbase >= 111200f & sbase < 219921f)factor=3509.00f;
  if (sbase >= 219921f & sbase < 343402f)factor=1143.00f;
  if (sbase >= 343402f)factor=0.0f;
  
  valor=factor*cargas*dias/30;
  return valor;

 } 

 public float Descuento_AFP(String afp,float thi,float uf) {
   
   if (thi > 60*uf)thi=60*uf;

   float desc=1;
   try{
     inFile_afp=new BufferedReader(new FileReader("afp.dat"));    
     int k=1;
     String temp,line,valor_afp;
     
      while((line=inFile_afp.readLine())!=null & k==1){
           
            StringTokenizer dato=new StringTokenizer(line,";");
            temp=dato.nextToken();
           
           if (afp.endsWith(temp)){ 
					 valor_afp=dato.nextToken();
    				 Float temp1=Float.valueOf(valor_afp);
   			    float valor=temp1.floatValue();
    		       desc=(valor)*thi/100;
                k=0;	
            }
     }
        
     inFile_afp.close();  
     
     if (k==0){} 
     if (k==1){System.out.println("La ficha no esta ingresada");} 
    }  
    catch (IOException e){}

    return desc;

 }
  
 public float Descuento_ISAPRE(float vi,float vuf,float thi){
 float desc;

  if (thi > 60*vuf)thi=60*vuf;

  if (vi==0){desc=0.07f*thi;}
  else{desc=vi*vuf;} 
  float temp=0.07f*thi;
  if (desc < temp)desc=temp;
  
  return desc; 
 }  
 
 public float Imp_Unico(float r,float utm){
 
 float factor=0.0f;
 float rebaja=0.0f;
 float imp;
 
  if (r < 403110.00f){factor=0.0f;rebaja=0.0f;}
  if (r >= 403110.01f & r < 895800.00f ) {factor=0.05f;rebaja=20155.5f;}
  if (r >= 895800.01f & r < 1493000.00f) {factor=0.1f;rebaja=64945.5f;} 
  if (r >= 1493000.01f & r < 2090200.00f){factor=0.15f;rebaja=139595.5f;}
  if (r >= 2090200.01f & r < 2687400.00f){factor=0.25f;rebaja=348615.5f;}
  if (r >= 2687400.01f & r < 3583200.00f){factor=0.32f;rebaja=536733.5f;}
  if (r >= 3583200.01f & r < 4479000.00f){factor=0.37f;rebaja=715893.5f;}
  if (r >= 4479000.01f ){factor=0.4f;rebaja=850263.5f;}

 imp=r*factor-rebaja;
 return imp;
 }  

  
class MyDocumentListener implements DocumentListener {
     
    public void insertUpdate(DocumentEvent e) {
            updateLog(e,"inserted into");
    }  
    public void removeUpdate(DocumentEvent e) {
            updateLog(e, "removed from");
     }
    public void changedUpdate(DocumentEvent e) {
         //Plain text components don't fire these events.
    }
    public void updateLog(DocumentEvent e, String action){
                  
       Document doc = e.getDocument();
          if (doc.getProperty("name").equals("TBuscar")){
              buscar=(String)TBuscar.getText();  
              }
         else if (doc.getProperty("name").equals("TCargas")){
              cargas=(String)TCargas.getText();  
               }
         else if (doc.getProperty("name").equals("TDias")){
              dias=(String)TDias.getText();  
               }
        else if (doc.getProperty("name").equals("THExtras")){
              horas_extras=(String)THExtras.getText();  
               }
        else if (doc.getProperty("name").equals("TOHI")){
              ohi=(String)TOHI.getText();  
               }
       else if (doc.getProperty("name").equals("THNI")){
              hni=(String)THNI.getText();  
               }
       else if (doc.getProperty("name").equals("TAnticipo")){
              anticipo=(String)TAnticipo.getText();  
               }
       else if (doc.getProperty("name").equals("TUF")){
              uf=(String)TUF.getText();  
               }
       else if (doc.getProperty("name").equals("TUTM")){
              utm=(String)TUTM.getText();  
               }
    }
  }



}